Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImplicitWindowFunction Class Reference

`#include <vtkImplicitWindowFunction.h>`

Inheritance diagram for vtkImplicitWindowFunction:

[legend]
Collaboration diagram for vtkImplicitWindowFunction:

[legend]
List of all members.

## Detailed Description

implicit function maps another implicit function to lie within a specified range

Date:
  2002/10/04 20:43:44

Revision:
  1.27

vtkImplicitWindowFunction is used to modify the output of another implicit function to lie within a specified "window", or function range. This can be used to add "thickness" to cutting or clipping functions.

This class works as follows. First, it evaluates the function value of the user-specified implicit function. Then, based on the window range specified, it maps the function value into the window values specified.

See also:
  vtkImplicitFunction

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (74%)
  - Martin, Ken (7%)
  - Lorensen, Bill (7%)
  - Kelly, Ann (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkImplicitWindowFunction.cxx)`
  - .`h` (`/Filtering/vtkImplicitWindowFunction.h)`

Tests:
  vtkImplicitWindowFunction (Tests)

Definition at line 57 of file vtkImplicitWindowFunction.h.

## Public Types
typedef vtkImplicitFunction | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | EvaluateGradient (float x[3], float n[3])
unsigned long | GetMTime ()
float | EvaluateFunction (float x[3])
float | EvaluateFunction (float x, float y, float z)
virtual void | SetImplicitFunction (vtkImplicitFunction *)
virtual vtkImplicitFunction * | GetImplicitFunction ()
virtual void | SetWindowRange (float, float)
void | SetWindowRange (float[2])
virtual float * | GetWindowRange ()
virtual void | GetWindowRange (float data[2])
virtual void | SetWindowValues (float, float)
void | SetWindowValues (float[2])
virtual float * | GetWindowValues ()
virtual void | GetWindowValues (float data[2])
## Static Public Methods
int | IsTypeOf (const char *type)
vtkImplicitWindowFunction * | SafeDownCast (vtkObject *o)
vtkImplicitWindowFunction * | New ()
## Protected Methods
| vtkImplicitWindowFunction ()
| ~vtkImplicitWindowFunction ()
## Protected Attributes
vtkImplicitFunction * | ImplicitFunction
float | WindowRange [2]
float | WindowValues [2]

## Member Typedef Documentation

typedef vtkImplicitFunction vtkImplicitWindowFunction::Superclass

| Reimplemented from vtkImplicitFunction. Definition at line 60 of file vtkImplicitWindowFunction.h.

## Constructor & Destructor Documentation

vtkImplicitWindowFunction::vtkImplicitWindowFunction | ( |  | ) | `[protected]`

vtkImplicitWindowFunction::~vtkImplicitWindowFunction | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkImplicitWindowFunction::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImplicitFunction.

int vtkImplicitWindowFunction::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImplicitFunction.

virtual int vtkImplicitWindowFunction::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImplicitFunction.

vtkImplicitWindowFunction* vtkImplicitWindowFunction::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImplicitFunction.

void vtkImplicitWindowFunction::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImplicitFunction.

vtkImplicitWindowFunction* vtkImplicitWindowFunction::New | ( |  | ) | `[static]`

| Construct object with window range (0,1) and window values (0,1). Reimplemented from vtkObject.

float vtkImplicitWindowFunction::EvaluateFunction | ( | float | x[3] | ) | `[virtual]`

| Evaluate window function. Implements vtkImplicitFunction.

float vtkImplicitWindowFunction::EvaluateFunction | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[inline]`

| Evaluate window function. Reimplemented from vtkImplicitFunction. Definition at line 69 of file vtkImplicitWindowFunction.h. References vtkImplicitFunction::EvaluateFunction().

void vtkImplicitWindowFunction::EvaluateGradient | ( | float | x[3],
|  | float | n[3]
| ) | `[virtual]`

| Evaluate window function gradient. Just return implicit function gradient. Implements vtkImplicitFunction.

virtual void vtkImplicitWindowFunction::SetImplicitFunction | ( | vtkImplicitFunction * |  | ) | `[virtual]`

| Specify an implicit function to operate on.

virtual vtkImplicitFunction* vtkImplicitWindowFunction::GetImplicitFunction | ( |  | ) | `[virtual]`

| Specify an implicit function to operate on.

virtual void vtkImplicitWindowFunction::SetWindowRange | ( | float | ,
|  | float |
| ) | `[virtual]`

| Specify the range of function values which are considered to lie within the window. WindowRange[0] is assumed to be less than WindowRange[1].

void vtkImplicitWindowFunction::SetWindowRange | ( | float | [2] | ) |

| Specify the range of function values which are considered to lie within the window. WindowRange[0] is assumed to be less than WindowRange[1].

virtual float* vtkImplicitWindowFunction::GetWindowRange | ( |  | ) | `[virtual]`

| Specify the range of function values which are considered to lie within the window. WindowRange[0] is assumed to be less than WindowRange[1].

virtual void vtkImplicitWindowFunction::GetWindowRange | ( | float | data[2] | ) | `[virtual]`

| Specify the range of function values which are considered to lie within the window. WindowRange[0] is assumed to be less than WindowRange[1].

virtual void vtkImplicitWindowFunction::SetWindowValues | ( | float | ,
|  | float |
| ) | `[virtual]`

| Specify the range of output values that the window range is mapped into. This is effectively a scaling and shifting of the original function values.

void vtkImplicitWindowFunction::SetWindowValues | ( | float | [2] | ) |

| Specify the range of output values that the window range is mapped into. This is effectively a scaling and shifting of the original function values.

virtual float* vtkImplicitWindowFunction::GetWindowValues | ( |  | ) | `[virtual]`

| Specify the range of output values that the window range is mapped into. This is effectively a scaling and shifting of the original function values.

virtual void vtkImplicitWindowFunction::GetWindowValues | ( | float | data[2] | ) | `[virtual]`

| Specify the range of output values that the window range is mapped into. This is effectively a scaling and shifting of the original function values.

unsigned long vtkImplicitWindowFunction::GetMTime | ( |  | ) | `[virtual]`

| Override modified time retrieval because of object dependencies. Reimplemented from vtkImplicitFunction.

## Member Data Documentation

vtkImplicitFunction* vtkImplicitWindowFunction::ImplicitFunction`[protected]`

| Definition at line 106 of file vtkImplicitWindowFunction.h.

float vtkImplicitWindowFunction::WindowRange[2]`[protected]`

| Definition at line 107 of file vtkImplicitWindowFunction.h.

float vtkImplicitWindowFunction::WindowValues[2]`[protected]`

| Definition at line 108 of file vtkImplicitWindowFunction.h.

The documentation for this class was generated from the following file:

- Filtering/vtkImplicitWindowFunction.h